#! /bin/bash
#
# check_versions_of_settings_files.sh

# martin.bless@mbless.de, 2018-01-05, 2018-01-05
# This script is in the public domain.


# cd Packages/TYPO3.CMS.git

# Recommendation:
#   use '6.2' for all version lines and release lines in TYPO3_6-2
#   use '7.6' for all version lines and release lines in TYPO3_7-6
#   use '8.7' for all version lines and release lines in TYPO3_8-7
#   use 'latest (9-dev)' for all version lines and release lines in master

for gitbranch in TYPO3_6-2 TYPO3_7-6 TYPO3_8-7 master ; do

    echo
    echo "======================================================="
    echo Checking out branch "$gitbranch"
    echo "-------------------------------------------------------"

    git checkout "$gitbranch"
    git pull

    echo
    echo Overview
    echo
    find . -name Settings.cfg | while read file; do
       cat "$file" | grep -E "(version|release)"
    done

    echo
    echo Details
    echo
    find . -name Settings.cfg | while read file; do
       echo "$file"
       cat "$file" | grep -E "(version|release)"
       echo
    done

echo
done

